JsonProcessingException (Jackson-core 2.8.0 API)
Date: 2016-07-03

com.fasterxml.jackson.core

## Class JsonProcessingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - com.fasterxml.jackson.core.JsonProcessingException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    JsonGenerationException, JsonParseException

      public class JsonProcessingException
      extends IOException

  Intermediate base class for all problems encountered when processing (parsing, generating) JSON content that are not pure I/O problems. Regular `IOException`s will be passed through as is. Sub-class of `IOException` for convenience.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JsonLocation` | `_location`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JsonProcessingException(String msg)`
    `protected` | `JsonProcessingException(String msg, JsonLocation loc)`
    `protected` | `JsonProcessingException(String msg, JsonLocation loc, Throwable rootCause)`
    `protected` | `JsonProcessingException(String msg, Throwable rootCause)`
    `protected` | `JsonProcessingException(Throwable rootCause)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JsonLocation` | `getLocation()`
    `String` | `getMessage()` Default method overridden so that we can add location information
    `protected String` | `getMessageSuffix()` Accessor that sub-classes can override to append additional information right after the main message, but before source location information.
    `String` | `getOriginalMessage()` Method that allows accessing the original "message" argument, without additional decorations (like location information) that overridden `getMessage()` adds.
    `Object` | `getProcessor()` Method that allows accessing underlying processor that triggered this exception; typically either `JsonParser` or `JsonGenerator` for exceptions that originate from streaming API.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### _location

          protected JsonLocation _location

  - ### Constructor Detail

    - #### JsonProcessingException

          protected JsonProcessingException(String msg,
                                 JsonLocation loc,
                                 Throwable rootCause)

    - #### JsonProcessingException

          protected JsonProcessingException(String msg)

    - #### JsonProcessingException

          protected JsonProcessingException(String msg,
                                 JsonLocation loc)

    - #### JsonProcessingException

          protected JsonProcessingException(String msg,
                                 Throwable rootCause)

    - #### JsonProcessingException

          protected JsonProcessingException(Throwable rootCause)

  - ### Method Detail

    - #### getLocation

          public JsonLocation getLocation()

    - #### getOriginalMessage

          public String getOriginalMessage()

      Method that allows accessing the original "message" argument, without additional decorations (like location information) that overridden `getMessage()` adds.
      Since:
        2.1

    - #### getProcessor

          public Object getProcessor()

      Method that allows accessing underlying processor that triggered this exception; typically either `JsonParser` or `JsonGenerator` for exceptions that originate from streaming API. Note that it is possible that `null` may be returned if code throwing exception either has no access to processor; or has not been retrofitted to set it; this means that caller needs to take care to check for nulls. Subtypes override this method with co-variant return type, for more type-safe access.
      Returns:
        Originating processor, if available; null if not.
      Since:
        2.7

    - #### getMessageSuffix

          protected String getMessageSuffix()

      Accessor that sub-classes can override to append additional information right after the main message, but before source location information.

    - #### getMessage

          public String getMessage()

      Default method overridden so that we can add location information
      Overrides:
        `getMessage` in class `Throwable`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Throwable`

Copyright © 2008-2016 FasterXML. All Rights Reserved.